org.apache.synapse.commons.staxon.core.base

## Class AbstractXMLStreamScope

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.base.AbstractXMLStreamScope

- All Implemented Interfaces:
    javax.xml.namespace.NamespaceContext
  Direct Known Subclasses:
    XMLStreamReaderScope, XMLStreamWriterScope

      public abstract class AbstractXMLStreamScope
      extends java.lang.Object
      implements javax.xml.namespace.NamespaceContext

  Represent document/element scope. Used to store namespace bindings and attributes, implements `NamespaceContext`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractXMLStreamScope(AbstractXMLStreamScope parent, java.lang.String prefix, java.lang.String localName, java.lang.String namespaceURI)` Create element scope.
    `AbstractXMLStreamScope(javax.xml.namespace.NamespaceContext parent)` Create root scope.
    `AbstractXMLStreamScope(java.lang.String defaultNamespace)` Create root scope.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AbstractXMLStreamScope` | `getLastChild()`
    `java.lang.String` | `getLocalName()`
    `java.lang.String` | `getNamespaceURI()`
    `java.lang.String` | `getNamespaceURI(java.lang.String prefix)`
    `AbstractXMLStreamScope` | `getParent()`
    `java.lang.String` | `getPrefix()`
    `java.lang.String` | `getPrefix(java.lang.String namespaceURI)`
    `java.util.Iterator<java.lang.String>` | `getPrefixes(java.lang.String namespaceURI)`
    `boolean` | `isRoot()`
    `boolean` | `isStartTagClosed()`
    `void` | `setPrefix(java.lang.String prefix, java.lang.String namespaceURI)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractXMLStreamScope

          public AbstractXMLStreamScope(java.lang.String defaultNamespace)

      Create root scope.
      Parameters:
        `defaultNamespace` -

    - #### AbstractXMLStreamScope

          public AbstractXMLStreamScope(javax.xml.namespace.NamespaceContext parent)

      Create root scope.
      Parameters:
        `parent` - root namespace context

    - #### AbstractXMLStreamScope

          public AbstractXMLStreamScope(AbstractXMLStreamScope parent,
                                        java.lang.String prefix,
                                        java.lang.String localName,
                                        java.lang.String namespaceURI)

      Create element scope.
      Parameters:
        `parent` -
        `prefix` -
        `localName` -

  - ### Method Detail

    - #### getPrefix

          public java.lang.String getPrefix()

    - #### getLocalName

          public java.lang.String getLocalName()

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI()

    - #### isRoot

          public boolean isRoot()

    - #### getParent

          public AbstractXMLStreamScope getParent()

    - #### getLastChild

          public AbstractXMLStreamScope getLastChild()

    - #### isStartTagClosed

          public boolean isStartTagClosed()

    - #### getPrefix

          public java.lang.String getPrefix(java.lang.String namespaceURI)

      Specified by:
        `getPrefix` in interface `javax.xml.namespace.NamespaceContext`

    - #### setPrefix

          public void setPrefix(java.lang.String prefix,
                                java.lang.String namespaceURI)

    - #### getPrefixes

          public java.util.Iterator<java.lang.String> getPrefixes(java.lang.String namespaceURI)

      Specified by:
        `getPrefixes` in interface `javax.xml.namespace.NamespaceContext`

    - #### getNamespaceURI

          public java.lang.String getNamespaceURI(java.lang.String prefix)

      Specified by:
        `getNamespaceURI` in interface `javax.xml.namespace.NamespaceContext`

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.